distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	a free h264/avc encoder	
Name:      	x264
Version:   	20080103
Release:   	1
Provides:  	%{name}	
License : 	GPL
url:		http://developers.videolan.org/x264.html
Group:     	Video
Source0: 	%{name}-svn-714.tar.gz
Patch0:		x264-cflags.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel gpac-devel yasm
BuildRequires:  libXrandr-devel startup-notification-devel
BuildRequires:  libXext-devel libX11-devel libXtst-devel libXxf86vm-devel
BuildRequires:  libXxf86dga-devel libXxf86misc-devel libXi-devel
BuildRequires:  libXrender-devel libXinerama-devel libdmx-devel libXp-devel

%description
x264 is a free library for encoding H264/AVC video streams.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}
%patch0

%build
# Warning do not enable pic it seems to be broken!!!
# Do not use -Os because it makes encoding slower (~5-10%)
export CFLAGS="-O3 ${CFLAGS/-Os/}"
./configure 	--prefix=%_prefix \
	  	--enable-pthread \
  		--enable-visualize \
	  	--disable-pic \
		--enable-mp4-output \
  		--enable-shared
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 20080103-1
- Version Update to SVN Revision 714
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update to SVN Revision 680 (682 is not working)
- disable pic usage because it is broken!
* Wed Apr 18 2007 Stefan Gottwald <gotti@ccux-linux.de> 20070418-1
- Version Update to SVN Revision 650
* Mon Jan 15 2007 Stefan Gottwald <gotti@ccux-linux.de> 20070115-1
- Version Update to SVN Revision 618
* Thu Jan 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20061125-2
- rebuild with mp4 support
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 20061125-1
- Version Update SVN Revision 603
* Wed Sep 13 2006 Stefan Gottwald <gotti@ccux-linux.de> 20060913-1
- Version Update SVN Revision 563
* Sat Aug 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 20060824-1
- Version Update SVN Revision 558
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 20060630-1
- Initial Release
